Imports System.IO

Public Class FrmHangman
    Dim Word As String()
    Dim myLocation As String
    Dim MyRandom As Random = New Random(87)
    Dim WordIndex As Integer = -1
    Dim Letters As Char()
    Dim Letters2 As Char()

    Private Sub FrmHangman_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim MyStreamReader As StreamReader
        Dim MyFile As String
        Dim i As Integer
        Dim j As Integer
        Dim NewWord As String

        myLocation = Directory.GetCurrentDirectory

        Try
            MyStreamReader = New StreamReader(myLocation & "\HangmanWords.txt")
            myfile = MyStreamReader.ReadToEnd
            MyStreamReader.Close()
        Catch ex As Exception
            MsgBox("Problem reading file.")
            Exit Sub
        End Try

        Word = MyFile.Split(vbCrLf)

        For i = 0 To Word.Length - 1
            Word(i) = Word(i).Trim.ToUpper
        Next

        For i = 0 To Word.Length - 1
            j = MyRandom.Next(0, Word.Length)
            NewWord = Word(i)
            Word(i) = Word(j)
            Word(j) = NewWord
        Next


    End Sub

    Private Sub btnNext_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnNext.Click
        Dim i As Integer

        WordIndex += 1
        Letters = Word(WordIndex).ToCharArray()
        Letters2 = New Char(Letters.Length - 1) {}

        For i = 0 To Letters2.Length - 1
            Letters2(i) = "*"
        Next


        'lblDisplayWord.Text = Word(WordIndex)
        DisplayLetters2()
    End Sub

    Private Sub DisplayLetters2()
        Dim i As Integer

        lblDisplayWord.Text = ""
        For i = 0 To Letters2.Length - 1
            lblDisplayWord.Text &= Letters2(i)
        Next
    End Sub

    Private Sub btnCheck_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCheck.Click
        Dim i As Integer
        Dim MyRadioButton As RadioButton

        For i = 0 To grbLetters.Controls.Count - 1
            MyRadioButton = grbLetters.Controls.Item(i)
            If MyRadioButton.Checked Then
                MsgBox("Letter chosen is " & MyRadioButton.Text)
                MyRadioButton.Enabled = False
                MyRadioButton.Checked = False
            End If
        Next

    End Sub

    'remember to enable radiobuttons to start next round 
End Class
